﻿@model IEnumerable<ClientExpectation>
@{
    bool isMarried = ViewBag.IsMarried;
    IEnumerable<SelectListItem> EmploymentOf = ViewBag.EmploymentOf;
    string ClientName = EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Client).ToString()).Text;
    string SpouseName = isMarried ? EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Spouse).ToString()).Text : string.Empty;
    int i = 0;
    var grpItem = Model.GroupBy(m => new { m.DescriptionItems.tabletype }).ToList();
}
<div class="wizard-content-height">
    <form asp-action="saveExpectation" class="form fv-plugins-bootstrap fv-plugins-framework" style="background-color:white" id="Expectation_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithWizard">
        <div class="d-flex justify-content-between mb-5">
            <div>
                <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Work and Residence Expectations</h4>
            </div>
            <div>
                <button class="btn btn-secondary font-weight-bold px-6 py-2" id="btn-save-exit">Save & Exit</button>
            </div>
        </div>
        <p>
            When you think about your pre-retirement and/or retirement years, how do you envision living out those years? Please select each expectation that matches your personal pre-retirement and/or retirement plans.
        </p>
        @foreach (var item in grpItem)
        {
            <div class="table-responsive">
                <table class="table table-sm table-bordered planning-table mb-10 mt-5 mt-xl-2">
                    <thead class="bg-default">
                        <tr>
                            <th class="pl-5 min-w-300px">@item.Key.tabletype.GetDisplayName()</th>
                            <th class="text-center min-w-100px">
                                @ClientName
                            </th>
                            @if (isMarried)
                            {
                                <th class="text-center min-w-100px">@SpouseName</th>
                            }
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item1 in item)
                        {
                            <tr>
                                <td class="pl-5">
                                    <input type="hidden" value="@item1.Id" name="clientExpectations[@i].Id" />
                                    <input type="hidden" value="@item1.Guid" name="clientExpectations[@i].Guid" />
                                    <input type="hidden" value="@item1.DescriptionItemId" name="clientExpectations[@i].DescriptionItemId" />
                                    @item1.DescriptionItems.itemDesc
                                </td>
                                <td align="center">
                                    <span class="switch switch-icon switch-sm switch-custom justify-content-center">
                                        <label>
                                            <input type="checkbox" asp-for="@item1.isClientActive" name="clientExpectations[@i].isClientActive" />
                                            <span></span>
                                        </label>
                                    </span>
                                </td>
                                @if (isMarried)
                                {
                                    <td align="center">
                                        <span class="switch switch-icon switch-sm switch-custom justify-content-center">
                                            <label>
                                                <input type="checkbox" asp-for="@item1.isSpouseActive" name="clientExpectations[@i].isSpouseActive" />
                                                <span></span>
                                            </label>
                                        </span>
                                    </td>
                                }
                            </tr>
                            i++;
                        }
                    </tbody>
                </table>
            </div>
        }
        <partial name="_WizardFooter" />
    </form>
</div>